# File.h file

A file.

### Contents

- Reference
  - Namespaces
  - Enums
  - Typedefs
  - Functions
  - Variables
  - Defines

## Namespaces

namespace Namespace
  A namespace.

## Enums

enum Enum { Value }
  An enum.
enum EnumBrief { }
  Enum with just a brief.
enum Enum { Value }
  An enum.
enum EnumBrief { }
  Enum with just a brief.

## Typedefs

using Typedef = int
  A typedef.
using TypedefBrief = int
  Typedef with just a brief.
using Typedef = int
  A typedef.
using TypedefBrief = int
  Typedef with just a brief.

## Functions

void foo()
  A function.
void fooBrief()
  Function with just a brief.
void foo()
  A function.
void fooBrief()
  Function with just a brief.

## Variables

int Variable constexpr
  A variable.
int VariableBrief constexpr
  Variable with just a brief.
int Variable constexpr
  A variable.
int VariableBrief constexpr
  Variable with just a brief.

## Defines

#define A_MACRO
  A macro.

## Enum documentation

### enum Enum

An enum.

Detailed enum docs.

Enumerators |
--- | ---
Value | A value

## Typedef documentation

### typedef int Typedef

A typedef.

Detailed typedef docs.

## Function documentation

### void foo()

A function.

Detailed function docs.

## Variable documentation

### int Variable constexpr

A variable.

Detailed variable docs.

## Define documentation

### #define A_MACRO

A macro.

This appears only in the file docs and fully expanded.